#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n,m,s=0;
    cin >> n >> m;
    vector <int> a(n);
    vector <vector<int>> p(m,vector<int>(2));
    for(int i=0; i<n; i++)
    {
        cin >> a[i];
    }
    for (int i=0; i<m; i++)
    {
        for (int j=0; j<2; j++)
        {
            cin >> p[i][j];
        }
    }
    for (int i=0; i<m; i++)
    {
        s+=abs(a[p[i][0]-1]+a[p[i][1]-1]);
    }
    cout << s;
    return 0;
}